Groovy Documentation

## groovy.grape
[Java] Interface GrapeEngine

    public interface GrapeEngine

Authors:
  Danno Ferrin

Method Summary
`void` | `addResolver(java.util.Map args)`
`java.util.Map` | `enumerateGrapes()`
`java.lang.Object` | `grab(java.lang.String endorsedModule)`
`java.lang.Object` | `grab(java.util.Map args)`
`java.lang.Object` | `grab(java.util.Map args, java.util.Map... dependencies)`
`java.util.Map[]` | `listDependencies(java.lang.ClassLoader classLoader)`
`java.net.URI[]` | `resolve(java.util.Map args, java.util.Map... dependencies)`
`java.net.URI[]` | `resolve(java.util.Map args, java.util.List depsInfo, java.util.Map... dependencies)`

Method Detail

### addResolver

    public void addResolver(java.util.Map args)

### enumerateGrapes

    public java.util.Map enumerateGrapes()

### grab

    public java.lang.Object grab(java.lang.String endorsedModule)

### grab

    public java.lang.Object grab(java.util.Map args)

### grab

    public java.lang.Object grab(java.util.Map args, java.util.Map... dependencies)

### listDependencies

    public java.util.Map[] listDependencies(java.lang.ClassLoader classLoader)

### resolve

    public java.net.URI[] resolve(java.util.Map args, java.util.Map... dependencies)

### resolve

    public java.net.URI[] resolve(java.util.Map args, java.util.List depsInfo, java.util.Map... dependencies)

Groovy Documentation